aboutsummaryrefslogtreecommitdiff
path: root/x11/e17
diff options
context:
space:
mode:
authorrudson <rudson@370017ae-e619-0410-ac65-c121f96126d4>2006-11-15 23:59:45 +0000
committerrudson <rudson@370017ae-e619-0410-ac65-c121f96126d4>2006-11-15 23:59:45 +0000
commitf5cf000094850684e61bb0e9e2f3845039a3cb99 (patch)
tree18a2b5d9c980cd04d5d28ae3045df227bc2dcf56 /x11/e17
parentd0a408b16f45bf8f4abeff2f6ad01b771b9a25c0 (diff)
downloadslackbuilds-f5cf000094850684e61bb0e9e2f3845039a3cb99.tar.gz
slackbuilds-f5cf000094850684e61bb0e9e2f3845039a3cb99.tar.bz2
movendo libs...
git-svn-id: svn+slack://slack.fluxo.info/var/svn/slackbuilds@691 370017ae-e619-0410-ac65-c121f96126d4
Diffstat (limited to 'x11/e17')
-rwxr-xr-xx11/e17/Eterm/Eterm.SlackBuild120
-rw-r--r--x11/e17/Eterm/slack-required1
-rwxr-xr-xx11/e17/e_modules/e_modules.SlackBuild119
-rw-r--r--x11/e17/e_modules/slack-required8
-rwxr-xr-xx11/e17/e_utils/e_utils.SlackBuild120
-rw-r--r--x11/e17/e_utils/slack-required8
-rwxr-xr-xx11/e17/eclair/eclair.SlackBuild120
-rw-r--r--x11/e17/eclair/slack-required11
-rwxr-xr-xx11/e17/engage/engage.SlackBuild120
-rw-r--r--x11/e17/engage/slack-required9
-rwxr-xr-xx11/e17/entrance/entrance.SlackBuild120
-rw-r--r--x11/e17/entrance/slack-required7
-rwxr-xr-xx11/e17/etk/etk.SlackBuild120
-rw-r--r--x11/e17/etk/slack-required7
-rwxr-xr-xx11/e17/examine/examine.SlackBuild120
-rw-r--r--x11/e17/examine/slack-required8
-rwxr-xr-xx11/e17/libast/libast.SlackBuild120
17 files changed, 1138 insertions, 0 deletions
diff --git a/x11/e17/Eterm/Eterm.SlackBuild b/x11/e17/Eterm/Eterm.SlackBuild
new file mode 100755
index 00000000..cbb2725f
--- /dev/null
+++ b/x11/e17/Eterm/Eterm.SlackBuild
@@ -0,0 +1,120 @@
+#!/bin/bash
+#
+# slackbuild script for Eterm
+# by rhatto at riseup.net
+#
+
+if [ -s "slack-required" ]; then
+ echo Recomended and required packages for building Eterm are:
+ cat slack-required | sed -e 's/^/\t/'
+ if [ "$INTERACT" != "no" ]; then
+ echo If you dont have those installed, press Ctrl-C. Otherwise, hit ENTER.
+ read crap
+# else
+# echo Sleeping 3 seconds...
+# sleep 3
+ fi
+fi
+
+CWD="`pwd`"
+
+if [ -f ~/.slackbuildrc ]; then
+ source ~/.slackbuildrc
+elif [ -f /etc/slackbuildrc ]; then
+ source /etc/slackbuildrc
+fi
+
+# default settings
+PACKAGE="Eterm"
+ARCH=${ARCH:=i486}
+VERSION="`date +%Y%m%d`"
+BUILD=${BUILD:=1rha}
+SRC_DIR=${SRC:=$CWD}
+TMP=${TMP:=/tmp}
+REPOS=${REPOS:=$TMP}
+
+if [ "$ARCH" == "x86_64" ]; then
+ export LDFLAGS="-L/lib64 -L/usr/lib64"
+ LIBDIR=/usr/lib64
+else
+ LIBDIR=/usr/lib
+fi
+
+# ------- error codes for createpkg --------------
+ERROR_WGET=31; ERROR_MAKE=32; ERROR_INSTALL=33
+ERROR_MD5=34; ERROR_CONF=35; ERROR_HELP=36
+ERROR_TAR=37; ERROR_MKPKG=38; ERROR_GPG=39
+ERROR_PATCH=40; ERROR_VCS=41
+
+SRC_DIR="$SRC_DIR/eterm"
+mkdir -p $SRC_DIR
+
+if [ -d "$SRC_DIR/eterm/Eterm" ]; then
+ cd $SRC_DIR/eterm/Eterm
+ cvs update || exit $ERROR_VCS
+else
+ cd $SRC_DIR
+ # echo "Please hit ENTER on passwd prompt..."
+ # cvs -d:pserver:anonymous@anoncvs.enlightenment.org:/var/cvs/e login || exit $ERROR_VCS
+ cvs -z3 -d:pserver:anonymous@anoncvs.enlightenment.org:/var/cvs/e co eterm/Eterm || exit $ERROR_VCS
+fi
+
+TMP="$TMP/$PACKAGE"
+rm -rf $TMP
+mkdir -p $TMP
+cd $TMP
+
+cd $SRC_DIR/eterm/Eterm
+
+make clean &> /dev/null
+./autogen.sh --prefix=/usr --sysconfdir=/etc --libdir=$LIBDIR || exit $ERROR_CONF
+make || exit $ERROR_MAKE
+make DESTDIR=$TMP/package-$PACKAGE install || exit $ERROR_INSTALL
+
+CWD="`pwd`"
+
+cd $TMP/package-$PACKAGE
+
+find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+
+mkdir install
+cat << EOF > install/slack-desc
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler-----------------------------------------------------|
+Eterm: Eterm (An X11 VT102 emulator with Enlightenment features)
+Eterm:
+Eterm: Eterm is a vt102 terminal emulator intended as a replacement for
+Eterm: xterm. It is designed with a Freedom of Choice philosophy, leaving as
+Eterm: much power, flexibility, and freedom as possible in the hands of the
+Eterm: user. It is designed to look good and work well, but takes a
+Eterm: feature-rich approach rather than one of minimalism. Current features
+Eterm: include color support, background images (all Imlib-supported formats),
+Eterm: theme support, and pseudo-transparency.
+Eterm:
+Eterm:
+EOF
+
+# docs
+mkdir -p usr/doc/$PACKAGE-$VERSION
+
+DOCS="AUTHORS COPYING ChangeLog CHANGELOG INSTALL NEWS README TODO LICENSE"
+
+for file in $DOCS; do
+ if [ -f "$CWD/$file" ]; then
+ cp $CWD/$file usr/doc/$PACKAGE-$VERSION/
+ fi
+done
+
+makepkg -c y -l y $REPOS/$PACKAGE-$VERSION-$ARCH-$BUILD.tgz || exit $ERROR_MKPKG
+
+if [ "$CLEANUP" == "yes" ]; then
+ rm -rf $TMP
+fi
+
diff --git a/x11/e17/Eterm/slack-required b/x11/e17/Eterm/slack-required
new file mode 100644
index 00000000..2822a733
--- /dev/null
+++ b/x11/e17/Eterm/slack-required
@@ -0,0 +1 @@
+libast
diff --git a/x11/e17/e_modules/e_modules.SlackBuild b/x11/e17/e_modules/e_modules.SlackBuild
new file mode 100755
index 00000000..fe239f61
--- /dev/null
+++ b/x11/e17/e_modules/e_modules.SlackBuild
@@ -0,0 +1,119 @@
+#!/bin/bash
+#
+# slackbuild script for e_modules
+# by rhatto at riseup.net
+#
+
+if [ -s "slack-required" ]; then
+ echo Recomended and required packages for building e_modules are:
+ cat slack-required | sed -e 's/^/\t/'
+ if [ "$INTERACT" != "no" ]; then
+ echo If you dont have those installed, press Ctrl-C. Otherwise, hit ENTER.
+ read crap
+# else
+# echo Sleeping 3 seconds...
+# sleep 3
+ fi
+fi
+
+CWD="`pwd`"
+
+if [ -f ~/.slackbuildrc ]; then
+ source ~/.slackbuildrc
+elif [ -f /etc/slackbuildrc ]; then
+ source /etc/slackbuildrc
+fi
+
+# default settings
+PACKAGE="e_modules"
+ARCH=${ARCH:=i486}
+VERSION="`date +%Y%m%d`"
+BUILD=${BUILD:=1rha}
+SRC_DIR=${SRC:=$CWD}
+TMP=${TMP:=/tmp}
+REPOS=${REPOS:=$TMP}
+
+if [ "$ARCH" == "x86_64" ]; then
+ export LDFLAGS="-L/lib64 -L/usr/lib64"
+ LIBDIR=/usr/lib64
+else
+ LIBDIR=/usr/lib
+fi
+
+# ------- error codes for createpkg --------------
+ERROR_WGET=31; ERROR_MAKE=32; ERROR_INSTALL=33
+ERROR_MD5=34; ERROR_CONF=35; ERROR_HELP=36
+ERROR_TAR=37; ERROR_MKPKG=38; ERROR_GPG=39
+ERROR_PATCH=40; ERROR_VCS=41
+
+mkdir -p $SRC_DIR
+
+if [ -d "$SRC_DIR/e_modules" ]; then
+ cd $SRC_DIR/e_modules
+ cvs update || exit $ERROR_VCS
+else
+ cd $SRC_DIR
+ # echo "Please hit ENTER on passwd prompt..."
+ # cvs -d:pserver:anonymous@anoncvs.enlightenment.org:/var/cvs/e login || exit $ERROR_VCS
+ cvs -z3 -d:pserver:anonymous@anoncvs.enlightenment.org:/var/cvs/e co e_modules || exit $ERROR_VCS
+fi
+
+TMP="$TMP/$PACKAGE"
+rm -rf $TMP
+mkdir -p $TMP
+cd $TMP
+
+cd $SRC_DIR/e_modules
+
+make clean &> /dev/null
+./autogen.sh --prefix=/usr --sysconfdir=/etc --libdir=$LIBDIR || exit $ERROR_CONF
+make || exit $ERROR_MAKE
+make DESTDIR=$TMP/package-$PACKAGE install || exit $ERROR_INSTALL
+
+CWD="`pwd`"
+
+cd $TMP/package-$PACKAGE
+
+find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+
+mkdir install
+cat << EOF > install/slack-desc
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler-----------------------------------------------------|
+e_modules: e_modules
+e_modules:
+e_modules: A collection of modules for Enlightenment 0.17
+e_modules:
+e_modules:
+e_modules:
+e_modules:
+e_modules:
+e_modules:
+e_modules:
+e_modules:
+EOF
+
+# docs
+mkdir -p usr/doc/$PACKAGE-$VERSION
+
+DOCS="AUTHORS COPYING ChangeLog CHANGELOG INSTALL NEWS README TODO"
+
+for file in $DOCS; do
+ if [ -f "$CWD/$file" ]; then
+ cp $CWD/$file usr/doc/$PACKAGE-$VERSION/
+ fi
+done
+
+makepkg -c y -l y $REPOS/$PACKAGE-$VERSION-$ARCH-$BUILD.tgz || exit $ERROR_MKPKG
+
+if [ "$CLEANUP" == "yes" ]; then
+ rm -rf $TMP
+fi
+
diff --git a/x11/e17/e_modules/slack-required b/x11/e17/e_modules/slack-required
new file mode 100644
index 00000000..b4d7ad4f
--- /dev/null
+++ b/x11/e17/e_modules/slack-required
@@ -0,0 +1,8 @@
+eet
+evas
+ecore
+embryo
+edje
+imlib2
+engrave
+enlightenment
diff --git a/x11/e17/e_utils/e_utils.SlackBuild b/x11/e17/e_utils/e_utils.SlackBuild
new file mode 100755
index 00000000..7a522462
--- /dev/null
+++ b/x11/e17/e_utils/e_utils.SlackBuild
@@ -0,0 +1,120 @@
+#!/bin/bash
+#
+# slackbuild script for e_utils
+# by rhatto at riseup.net
+#
+
+if [ -s "slack-required" ]; then
+ echo Recomended and required packages for building e_utils are:
+ cat slack-required | sed -e 's/^/\t/'
+ if [ "$INTERACT" != "no" ]; then
+ echo If you dont have those installed, press Ctrl-C. Otherwise, hit ENTER.
+ read crap
+# else
+# echo Sleeping 3 seconds...
+# sleep 3
+ fi
+fi
+
+CWD="`pwd`"
+
+if [ -f ~/.slackbuildrc ]; then
+ source ~/.slackbuildrc
+elif [ -f /etc/slackbuildrc ]; then
+ source /etc/slackbuildrc
+fi
+
+# default settings
+PACKAGE="e_utils"
+ARCH=${ARCH:=i486}
+VERSION="`date +%Y%m%d`"
+BUILD=${BUILD:=1rha}
+SRC_DIR=${SRC:=$CWD}
+TMP=${TMP:=/tmp}
+REPOS=${REPOS:=$TMP}
+
+if [ "$ARCH" == "x86_64" ]; then
+ export LDFLAGS="-L/lib64 -L/usr/lib64"
+ LIBDIR=/usr/lib64
+else
+ LIBDIR=/usr/lib
+fi
+
+# ------- error codes for createpkg --------------
+ERROR_WGET=31; ERROR_MAKE=32; ERROR_INSTALL=33
+ERROR_MD5=34; ERROR_CONF=35; ERROR_HELP=36
+ERROR_TAR=37; ERROR_MKPKG=38; ERROR_GPG=39
+ERROR_PATCH=40; ERROR_VCS=41
+
+SRC_DIR="$SRC_DIR/e17"
+mkdir -p $SRC_DIR
+
+if [ -d "$SRC_DIR/e17/apps/e_utils" ]; then
+ cd $SRC_DIR/e17/apps/e_utils
+ cvs update || exit $ERROR_VCS
+else
+ cd $SRC_DIR
+ # echo "Please hit ENTER on passwd prompt..."
+ # cvs -d:pserver:anonymous@anoncvs.enlightenment.org:/var/cvs/e login || exit $ERROR_VCS
+ cvs -z3 -d:pserver:anonymous@anoncvs.enlightenment.org:/var/cvs/e co e17/apps/e_utils || exit $ERROR_VCS
+fi
+
+TMP="$TMP/$PACKAGE"
+rm -rf $TMP
+mkdir -p $TMP
+cd $TMP
+
+cd $SRC_DIR/e17/apps/e_utils
+
+make clean &> /dev/null
+./autogen.sh --prefix=/usr --sysconfdir=/etc --libdir=$LIBDIR || exit $ERROR_CONF
+make || exit $ERROR_MAKE
+make DESTDIR=$TMP/package-$PACKAGE install || exit $ERROR_INSTALL
+
+CWD="`pwd`"
+
+cd $TMP/package-$PACKAGE
+
+find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+
+mkdir install
+cat << EOF > install/slack-desc
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler-----------------------------------------------------|
+e_utils: e_utils
+e_utils:
+e_utils: A collection of utilities for Enlightenment 0.17
+e_utils:
+e_utils: e17genmenu (menu generator utility)
+e_utils: e17setroot (background setting utility)
+e_utils: e_util_eapp_edit (eapp editing utility)
+e_utils: emblem (graphical background selection utility)
+e_utils: entangle (graphical menu editing utility)
+e_utils: exige (run dialog box)
+e_utils: ethemes (theme selector with preview)
+EOF
+
+# docs
+mkdir -p usr/doc/$PACKAGE-$VERSION
+
+DOCS="AUTHORS COPYING ChangeLog CHANGELOG INSTALL NEWS README TODO"
+
+for file in $DOCS; do
+ if [ -f "$CWD/$file" ]; then
+ cp $CWD/$file usr/doc/$PACKAGE-$VERSION/
+ fi
+done
+
+makepkg -c y -l y $REPOS/$PACKAGE-$VERSION-$ARCH-$BUILD.tgz || exit $ERROR_MKPKG
+
+if [ "$CLEANUP" == "yes" ]; then
+ rm -rf $TMP
+fi
+
diff --git a/x11/e17/e_utils/slack-required b/x11/e17/e_utils/slack-required
new file mode 100644
index 00000000..b4d7ad4f
--- /dev/null
+++ b/x11/e17/e_utils/slack-required
@@ -0,0 +1,8 @@
+eet
+evas
+ecore
+embryo
+edje
+imlib2
+engrave
+enlightenment
diff --git a/x11/e17/eclair/eclair.SlackBuild b/x11/e17/eclair/eclair.SlackBuild
new file mode 100755
index 00000000..7e467bbc
--- /dev/null
+++ b/x11/e17/eclair/eclair.SlackBuild
@@ -0,0 +1,120 @@
+#!/bin/bash
+#
+# slackbuild script for eclair
+# by rhatto at riseup.net
+#
+
+if [ -s "slack-required" ]; then
+ echo Recomended and required packages for building eclair are:
+ cat slack-required | sed -e 's/^/\t/'
+ if [ "$INTERACT" != "no" ]; then
+ echo If you dont have those installed, press Ctrl-C. Otherwise, hit ENTER.
+ read crap
+# else
+# echo Sleeping 3 seconds...
+# sleep 3
+ fi
+fi
+
+CWD="`pwd`"
+
+if [ -f ~/.slackbuildrc ]; then
+ source ~/.slackbuildrc
+elif [ -f /etc/slackbuildrc ]; then
+ source /etc/slackbuildrc
+fi
+
+# default settings
+PACKAGE="eclair"
+ARCH=${ARCH:=i486}
+VERSION="`date +%Y%m%d`"
+BUILD=${BUILD:=1rha}
+SRC_DIR=${SRC:=$CWD}
+TMP=${TMP:=/tmp}
+REPOS=${REPOS:=$TMP}
+
+if [ "$ARCH" == "x86_64" ]; then
+ export LDFLAGS="-L/lib64 -L/usr/lib64"
+ LIBDIR=/usr/lib64
+else
+ LIBDIR=/usr/lib
+fi
+
+# ------- error codes for createpkg --------------
+ERROR_WGET=31; ERROR_MAKE=32; ERROR_INSTALL=33
+ERROR_MD5=34; ERROR_CONF=35; ERROR_HELP=36
+ERROR_TAR=37; ERROR_MKPKG=38; ERROR_GPG=39
+ERROR_PATCH=40; ERROR_VCS=41
+
+SRC_DIR="$SRC_DIR/e17"
+mkdir -p $SRC_DIR
+
+if [ -d "$SRC_DIR/e17/apps/eclair" ]; then
+ cd $SRC_DIR/e17/apps/eclair
+ cvs update || exit $ERROR_VCS
+else
+ cd $SRC_DIR
+ # echo "Please hit ENTER on passwd prompt..."
+ # cvs -d:pserver:anonymous@anoncvs.enlightenment.org:/var/cvs/e login || exit $ERROR_VCS
+ cvs -z3 -d:pserver:anonymous@anoncvs.enlightenment.org:/var/cvs/e co e17/apps/eclair || exit $ERROR_VCS
+fi
+
+TMP="$TMP/$PACKAGE"
+rm -rf $TMP
+mkdir -p $TMP
+cd $TMP
+
+cd $SRC_DIR/e17/apps/eclair
+
+make clean &> /dev/null
+./autogen.sh --prefix=/usr --sysconfdir=/etc --libdir=$LIBDIR || exit $ERROR_CONF
+make || exit $ERROR_MAKE
+make DESTDIR=$TMP/package-$PACKAGE install || exit $ERROR_INSTALL
+
+CWD="`pwd`"
+
+cd $TMP/package-$PACKAGE
+
+find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+
+mkdir install
+cat << EOF > install/slack-desc
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler-----------------------------------------------------|
+eclair: eclair
+eclair:
+eclair: EFL powered media player
+eclair:
+eclair:
+eclair:
+eclair:
+eclair:
+eclair:
+eclair:
+eclair:
+EOF
+
+# docs
+mkdir -p usr/doc/$PACKAGE-$VERSION
+
+DOCS="AUTHORS COPYING ChangeLog CHANGELOG INSTALL NEWS README TODO"
+
+for file in $DOCS; do
+ if [ -f "$CWD/$file" ]; then
+ cp $CWD/$file usr/doc/$PACKAGE-$VERSION/
+ fi
+done
+
+makepkg -c y -l y $REPOS/$PACKAGE-$VERSION-$ARCH-$BUILD.tgz || exit $ERROR_MKPKG
+
+if [ "$CLEANUP" == "yes" ]; then
+ rm -rf $TMP
+fi
+
diff --git a/x11/e17/eclair/slack-required b/x11/e17/eclair/slack-required
new file mode 100644
index 00000000..55ba9019
--- /dev/null
+++ b/x11/e17/eclair/slack-required
@@ -0,0 +1,11 @@
+eet
+evas
+ecore
+embryo
+edje
+imlib2
+engrave
+enlightenment
+esmart
+sqlite
+emotion
diff --git a/x11/e17/engage/engage.SlackBuild b/x11/e17/engage/engage.SlackBuild
new file mode 100755
index 00000000..d2f816e3
--- /dev/null
+++ b/x11/e17/engage/engage.SlackBuild
@@ -0,0 +1,120 @@
+#!/bin/bash
+#
+# slackbuild script for engage
+# by rhatto at riseup.net
+#
+
+if [ -s "slack-required" ]; then
+ echo Recomended and required packages for building engage are:
+ cat slack-required | sed -e 's/^/\t/'
+ if [ "$INTERACT" != "no" ]; then
+ echo If you dont have those installed, press Ctrl-C. Otherwise, hit ENTER.
+ read crap
+# else
+# echo Sleeping 3 seconds...
+# sleep 3
+ fi
+fi
+
+CWD="`pwd`"
+
+if [ -f ~/.slackbuildrc ]; then
+ source ~/.slackbuildrc
+elif [ -f /etc/slackbuildrc ]; then
+ source /etc/slackbuildrc
+fi
+
+# default settings
+PACKAGE="engage"
+ARCH=${ARCH:=i486}
+VERSION="`date +%Y%m%d`"
+BUILD=${BUILD:=1rha}
+SRC_DIR=${SRC:=$CWD}
+TMP=${TMP:=/tmp}
+REPOS=${REPOS:=$TMP}
+
+if [ "$ARCH" == "x86_64" ]; then
+ export LDFLAGS="-L/lib64 -L/usr/lib64"
+ LIBDIR=/usr/lib64
+else
+ LIBDIR=/usr/lib
+fi
+
+# ------- error codes for createpkg --------------
+ERROR_WGET=31; ERROR_MAKE=32; ERROR_INSTALL=33
+ERROR_MD5=34; ERROR_CONF=35; ERROR_HELP=36
+ERROR_TAR=37; ERROR_MKPKG=38; ERROR_GPG=39
+ERROR_PATCH=40; ERROR_VCS=41
+
+SRC_DIR="$SRC_DIR/engage"
+mkdir -p $SRC_DIR
+
+if [ -d "$SRC_DIR/misc/engage" ]; then
+ cd $SRC_DIR/misc/engage
+ cvs update || exit $ERROR_VCS
+else
+ cd $SRC_DIR
+ # echo "Please hit ENTER on passwd prompt..."
+ # cvs -d:pserver:anonymous@anoncvs.enlightenment.org:/var/cvs/e login || exit $ERROR_VCS
+ cvs -z3 -d:pserver:anonymous@anoncvs.enlightenment.org:/var/cvs/e co misc/engage || exit $ERROR_VCS
+fi
+
+TMP="$TMP/$PACKAGE"
+rm -rf $TMP
+mkdir -p $TMP
+cd $TMP
+
+cd $SRC_DIR/misc/engage
+
+make clean &> /dev/null
+./autogen.sh --prefix=/usr --sysconfdir=/etc --libdir=$LIBDIR || exit $ERROR_CONF
+make || exit $ERROR_MAKE
+make DESTDIR=$TMP/package-$PACKAGE install || exit $ERROR_INSTALL
+
+CWD="`pwd`"
+
+cd $TMP/package-$PACKAGE
+
+find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+
+mkdir install
+cat << EOF > install/slack-desc
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler-----------------------------------------------------|
+engage: engage
+engage:
+engage: Dynamic iconbar
+engage:
+engage:
+engage:
+engage:
+engage:
+engage:
+engage:
+engage:
+EOF
+
+# docs
+mkdir -p usr/doc/$PACKAGE-$VERSION
+
+DOCS="AUTHORS COPYING ChangeLog CHANGELOG INSTALL NEWS README TODO"
+
+for file in $DOCS; do
+ if [ -f "$CWD/$file" ]; then
+ cp $CWD/$file usr/doc/$PACKAGE-$VERSION/
+ fi
+done
+
+makepkg -c y -l y $REPOS/$PACKAGE-$VERSION-$ARCH-$BUILD.tgz || exit $ERROR_MKPKG
+
+if [ "$CLEANUP" == "yes" ]; then
+ rm -rf $TMP
+fi
+
diff --git a/x11/e17/engage/slack-required b/x11/e17/engage/slack-required
new file mode 100644
index 00000000..6befb4d2
--- /dev/null
+++ b/x11/e17/engage/slack-required
@@ -0,0 +1,9 @@
+eet
+evas
+ecore
+embryo
+edje
+imlib2
+esmart
+ewl
+etk
diff --git a/x11/e17/entrance/entrance.SlackBuild b/x11/e17/entrance/entrance.SlackBuild
new file mode 100755
index 00000000..860e369e
--- /dev/null
+++ b/x11/e17/entrance/entrance.SlackBuild
@@ -0,0 +1,120 @@
+#!/bin/bash
+#
+# slackbuild script for entrance
+# by rhatto at riseup.net
+#
+
+if [ -s "slack-required" ]; then
+ echo Recomended and required packages for building entrance are:
+ cat slack-required | sed -e 's/^/\t/'
+ if [ "$INTERACT" != "no" ]; then
+ echo If you dont have those installed, press Ctrl-C. Otherwise, hit ENTER.
+ read crap
+# else
+# echo Sleeping 3 seconds...
+# sleep 3
+ fi
+fi
+
+CWD="`pwd`"
+
+if [ -f ~/.slackbuildrc ]; then
+ source ~/.slackbuildrc
+elif [ -f /etc/slackbuildrc ]; then
+ source /etc/slackbuildrc
+fi
+
+# default settings
+PACKAGE="entrance"
+ARCH=${ARCH:=i486}
+VERSION="`date +%Y%m%d`"
+BUILD=${BUILD:=1rha}
+SRC_DIR=${SRC:=$CWD}
+TMP=${TMP:=/tmp}
+REPOS=${REPOS:=$TMP}
+
+if [ "$ARCH" == "x86_64" ]; then
+ export LDFLAGS="-L/lib64 -L/usr/lib64"
+ LIBDIR=/usr/lib64
+else
+ LIBDIR=/usr/lib
+fi
+
+# ------- error codes for createpkg --------------
+ERROR_WGET=31; ERROR_MAKE=32; ERROR_INSTALL=33
+ERROR_MD5=34; ERROR_CONF=35; ERROR_HELP=36
+ERROR_TAR=37; ERROR_MKPKG=38; ERROR_GPG=39
+ERROR_PATCH=40; ERROR_VCS=41
+
+SRC_DIR="$SRC_DIR/e17"
+mkdir -p $SRC_DIR
+
+if [ -d "$SRC_DIR/e17/apps/entrance" ]; then
+ cd $SRC_DIR/e17/apps/entrance
+ cvs update || exit $ERROR_VCS
+else
+ cd $SRC_DIR
+ # echo "Please hit ENTER on passwd prompt..."
+ # cvs -d:pserver:anonymous@anoncvs.enlightenment.org:/var/cvs/e login || exit $ERROR_VCS
+ cvs -z3 -d:pserver:anonymous@anoncvs.enlightenment.org:/var/cvs/e co e17/apps/entrance || exit $ERROR_VCS
+fi
+
+TMP="$TMP/$PACKAGE"
+rm -rf $TMP
+mkdir -p $TMP
+cd $TMP
+
+cd $SRC_DIR/e17/apps/entrance
+
+make clean &> /dev/null
+./autogen.sh --prefix=/usr --sysconfdir=/etc --libdir=$LIBDIR || exit $ERROR_CONF
+make || exit $ERROR_MAKE
+make DESTDIR=$TMP/package-$PACKAGE install || exit $ERROR_INSTALL
+
+CWD="`pwd`"
+
+cd $TMP/package-$PACKAGE
+
+find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+
+mkdir install
+cat << EOF > install/slack-desc
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler-----------------------------------------------------|
+entrance: entrance
+entrance:
+entrance: Entrance is the next generation of Elogin, a login/display manager
+entrance: for Linux XFree86 systems. It is designed to be extremely
+entrance: customizable and aesthetically attractive -- a refreshing relief
+entrance: from the traditional dull and boring interfaces of XDM and its
+entrance: descendants.
+entrance:
+entrance:
+entrance:
+entrance:
+EOF
+
+# docs
+mkdir -p usr/doc/$PACKAGE-$VERSION
+
+DOCS="AUTHORS COPYING ChangeLog CHANGELOG INSTALL NEWS README TODO"
+
+for file in $DOCS; do
+ if [ -f "$CWD/$file" ]; then
+ cp $CWD/$file usr/doc/$PACKAGE-$VERSION/
+ fi
+done
+
+makepkg -c y -l y $REPOS/$PACKAGE-$VERSION-$ARCH-$BUILD.tgz || exit $ERROR_MKPKG
+
+if [ "$CLEANUP" == "yes" ]; then
+ rm -rf $TMP
+fi
+
diff --git a/x11/e17/entrance/slack-required b/x11/e17/entrance/slack-required
new file mode 100644
index 00000000..d7daf94a
--- /dev/null
+++ b/x11/e17/entrance/slack-required
@@ -0,0 +1,7 @@
+eet
+evas
+ecore
+embryo
+edje
+imlib2
+esmart
diff --git a/x11/e17/etk/etk.SlackBuild b/x11/e17/etk/etk.SlackBuild
new file mode 100755
index 00000000..13dd31e2
--- /dev/null
+++ b/x11/e17/etk/etk.SlackBuild
@@ -0,0 +1,120 @@
+#!/bin/bash
+#
+# slackbuild script for etk
+# by rhatto at riseup.net
+#
+
+if [ -s "slack-required" ]; then
+ echo Recomended and required packages for building etk are:
+ cat slack-required | sed -e 's/^/\t/'
+ if [ "$INTERACT" != "no" ]; then
+ echo If you dont have those installed, press Ctrl-C. Otherwise, hit ENTER.
+ read crap
+# else
+# echo Sleeping 3 seconds...
+# sleep 3
+ fi
+fi
+
+CWD="`pwd`"
+
+if [ -f ~/.slackbuildrc ]; then
+ source ~/.slackbuildrc
+elif [ -f /etc/slackbuildrc ]; then
+ source /etc/slackbuildrc
+fi
+
+# default settings
+PACKAGE="etk"
+ARCH=${ARCH:=i486}
+VERSION="`date +%Y%m%d`"
+BUILD=${BUILD:=1rha}
+SRC_DIR=${SRC:=$CWD}
+TMP=${TMP:=/tmp}
+REPOS=${REPOS:=$TMP}
+
+if [ "$ARCH" == "x86_64" ]; then
+ export LDFLAGS="-L/lib64 -L/usr/lib64"
+ LIBDIR=/usr/lib64
+else
+ LIBDIR=/usr/lib
+fi
+
+# ------- error codes for createpkg --------------
+ERROR_WGET=31; ERROR_MAKE=32; ERROR_INSTALL=33
+ERROR_MD5=34; ERROR_CONF=35; ERROR_HELP=36
+ERROR_TAR=37; ERROR_MKPKG=38; ERROR_GPG=39
+ERROR_PATCH=40; ERROR_VCS=41
+
+SRC_DIR="$SRC_DIR/e17"
+mkdir -p $SRC_DIR
+
+if [ -d "$SRC_DIR/e17/proto/etk" ]; then
+ cd $SRC_DIR/e17/proto/etk
+ cvs update || exit $ERROR_VCS
+else
+ cd $SRC_DIR
+ # echo "Please hit ENTER on passwd prompt..."
+ # cvs -d:pserver:anonymous@anoncvs.enlightenment.org:/var/cvs/e login || exit $ERROR_VCS
+ cvs -z3 -d:pserver:anonymous@anoncvs.enlightenment.org:/var/cvs/e co e17/proto/etk || exit $ERROR_VCS
+fi
+
+TMP="$TMP/$PACKAGE"
+rm -rf $TMP
+mkdir -p $TMP
+cd $TMP
+
+cd $SRC_DIR/e17/proto/etk
+
+make clean &> /dev/null
+./autogen.sh --prefix=/usr --sysconfdir=/etc --libdir=$LIBDIR || exit $ERROR_CONF
+make || exit $ERROR_MAKE
+make DESTDIR=$TMP/package-$PACKAGE install || exit $ERROR_INSTALL
+
+CWD="`pwd`"
+
+cd $TMP/package-$PACKAGE
+
+find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+
+mkdir install
+cat << EOF > install/slack-desc
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler-----------------------------------------------------|
+etk: etk
+etk:
+etk: Etk is a toolkit based on the EFL.
+etk:
+etk:
+etk:
+etk:
+etk:
+etk:
+etk:
+etk:
+EOF
+
+# docs
+mkdir -p usr/doc/$PACKAGE-$VERSION
+
+DOCS="AUTHORS COPYING ChangeLog CHANGELOG INSTALL NEWS README TODO"
+
+for file in $DOCS; do
+ if [ -f "$CWD/$file" ]; then
+ cp $CWD/$file usr/doc/$PACKAGE-$VERSION/
+ fi
+done
+
+makepkg -c y -l y $REPOS/$PACKAGE-$VERSION-$ARCH-$BUILD.tgz || exit $ERROR_MKPKG
+
+if [ "$CLEANUP" == "yes" ]; then
+ rm -rf $TMP
+fi
+
diff --git a/x11/e17/etk/slack-required b/x11/e17/etk/slack-required
new file mode 100644
index 00000000..d7daf94a
--- /dev/null
+++ b/x11/e17/etk/slack-required
@@ -0,0 +1,7 @@
+eet
+evas
+ecore
+embryo
+edje
+imlib2
+esmart
diff --git a/x11/e17/examine/examine.SlackBuild b/x11/e17/examine/examine.SlackBuild
new file mode 100755
index 00000000..df3f661b
--- /dev/null
+++ b/x11/e17/examine/examine.SlackBuild
@@ -0,0 +1,120 @@
+#!/bin/bash
+#
+# slackbuild script for examine
+# by rhatto at riseup.net
+#
+
+if [ -s "slack-required" ]; then
+ echo Recomended and required packages for building examine are:
+ cat slack-required | sed -e 's/^/\t/'
+ if [ "$INTERACT" != "no" ]; then
+ echo If you dont have those installed, press Ctrl-C. Otherwise, hit ENTER.
+ read crap
+# else
+# echo Sleeping 3 seconds...
+# sleep 3
+ fi
+fi
+
+CWD="`pwd`"
+
+if [ -f ~/.slackbuildrc ]; then
+ source ~/.slackbuildrc
+elif [ -f /etc/slackbuildrc ]; then
+ source /etc/slackbuildrc
+fi
+
+# default settings
+PACKAGE="examine"
+ARCH=${ARCH:=i486}
+VERSION="`date +%Y%m%d`"
+BUILD=${BUILD:=1rha}
+SRC_DIR=${SRC:=$CWD}
+TMP=${TMP:=/tmp}
+REPOS=${REPOS:=$TMP}
+
+if [ "$ARCH" == "x86_64" ]; then
+ export LDFLAGS="-L/lib64 -L/usr/lib64"
+ LIBDIR=/usr/lib64
+else
+ LIBDIR=/usr/lib
+fi
+
+# ------- error codes for createpkg --------------
+ERROR_WGET=31; ERROR_MAKE=32; ERROR_INSTALL=33
+ERROR_MD5=34; ERROR_CONF=35; ERROR_HELP=36
+ERROR_TAR=37; ERROR_MKPKG=38; ERROR_GPG=39
+ERROR_PATCH=40; ERROR_VCS=41
+
+SRC_DIR="$SRC_DIR/e17"
+mkdir -p $SRC_DIR
+
+if [ -d "$SRC_DIR/e17/apps/examine" ]; then
+ cd $SRC_DIR/e17/apps/examine
+ cvs update || exit $ERROR_VCS
+else
+ cd $SRC_DIR
+ # echo "Please hit ENTER on passwd prompt..."
+ # cvs -d:pserver:anonymous@anoncvs.enlightenment.org:/var/cvs/e login || exit $ERROR_VCS
+ cvs -z3 -d:pserver:anonymous@anoncvs.enlightenment.org:/var/cvs/e co e17/apps/examine || exit $ERROR_VCS
+fi
+
+TMP="$TMP/$PACKAGE"
+rm -rf $TMP
+mkdir -p $TMP
+cd $TMP
+
+cd $SRC_DIR/e17/apps/examine
+
+make clean &> /dev/null
+./autogen.sh --prefix=/usr --sysconfdir=/etc --libdir=$LIBDIR || exit $ERROR_CONF
+make || exit $ERROR_MAKE
+make DESTDIR=$TMP/package-$PACKAGE install || exit $ERROR_INSTALL
+
+CWD="`pwd`"
+
+cd $TMP/package-$PACKAGE
+
+find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+
+mkdir install
+cat << EOF > install/slack-desc
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler-----------------------------------------------------|
+examine: examine
+examine:
+examine: Examine is an interface for configuring applications that use
+examine: ecore_config from the Enlightenment Foundation Libraries (EFL).
+examine: In the Examine package are two applications, examine (still
+examine: very basic) and exsh. These applications connect to the
+examine: configuration library and allow the user to alter configurations.
+examine:
+examine:
+examine:
+examine:
+EOF
+
+# docs
+mkdir -p usr/doc/$PACKAGE-$VERSION
+
+DOCS="AUTHORS COPYING ChangeLog CHANGELOG INSTALL NEWS README TODO"
+
+for file in $DOCS; do
+ if [ -f "$CWD/$file" ]; then
+ cp $CWD/$file usr/doc/$PACKAGE-$VERSION/
+ fi
+done
+
+makepkg -c y -l y $REPOS/$PACKAGE-$VERSION-$ARCH-$BUILD.tgz || exit $ERROR_MKPKG
+
+if [ "$CLEANUP" == "yes" ]; then
+ rm -rf $TMP
+fi
+
diff --git a/x11/e17/examine/slack-required b/x11/e17/examine/slack-required
new file mode 100644
index 00000000..4df8c756
--- /dev/null
+++ b/x11/e17/examine/slack-required
@@ -0,0 +1,8 @@
+eet
+evas
+ecore
+embryo
+edje
+imlib2
+esmart
+ewl
diff --git a/x11/e17/libast/libast.SlackBuild b/x11/e17/libast/libast.SlackBuild
new file mode 100755
index 00000000..ea8719c9
--- /dev/null
+++ b/x11/e17/libast/libast.SlackBuild
@@ -0,0 +1,120 @@
+#!/bin/bash
+#
+# slackbuild script for libast
+# by rhatto at riseup.net
+#
+
+if [ -s "slack-required" ]; then
+ echo Recomended and required packages for building libast are:
+ cat slack-required | sed -e 's/^/\t/'
+ if [ "$INTERACT" != "no" ]; then
+ echo If you dont have those installed, press Ctrl-C. Otherwise, hit ENTER.
+ read crap
+# else
+# echo Sleeping 3 seconds...
+# sleep 3
+ fi
+fi
+
+CWD="`pwd`"
+
+if [ -f ~/.slackbuildrc ]; then
+ source ~/.slackbuildrc
+elif [ -f /etc/slackbuildrc ]; then
+ source /etc/slackbuildrc
+fi
+
+# default settings
+PACKAGE="libast"
+ARCH=${ARCH:=i486}
+VERSION="`date +%Y%m%d`"
+BUILD=${BUILD:=1rha}
+SRC_DIR=${SRC:=$CWD}
+TMP=${TMP:=/tmp}
+REPOS=${REPOS:=$TMP}
+
+if [ "$ARCH" == "x86_64" ]; then
+ export LDFLAGS="-L/lib64 -L/usr/lib64"
+ LIBDIR=/usr/lib64
+else
+ LIBDIR=/usr/lib
+fi
+
+# ------- error codes for createpkg --------------
+ERROR_WGET=31; ERROR_MAKE=32; ERROR_INSTALL=33
+ERROR_MD5=34; ERROR_CONF=35; ERROR_HELP=36
+ERROR_TAR=37; ERROR_MKPKG=38; ERROR_GPG=39
+ERROR_PATCH=40; ERROR_VCS=41
+
+SRC_DIR="$SRC_DIR/eterm"
+mkdir -p $SRC_DIR
+
+if [ -d "$SRC_DIR/eterm/libast" ]; then
+ cd $SRC_DIR/eterm/libast
+ cvs update || exit $ERROR_VCS
+else
+ cd $SRC_DIR
+ # echo "Please hit ENTER on passwd prompt..."
+ # cvs -d:pserver:anonymous@anoncvs.enlightenment.org:/var/cvs/e login || exit $ERROR_VCS
+ cvs -z3 -d:pserver:anonymous@anoncvs.enlightenment.org:/var/cvs/e co eterm/libast || exit $ERROR_VCS
+fi
+
+TMP="$TMP/$PACKAGE"
+rm -rf $TMP
+mkdir -p $TMP
+cd $TMP
+
+cd $SRC_DIR/eterm/libast
+
+make clean &> /dev/null
+./autogen.sh --prefix=/usr --sysconfdir=/etc --libdir=$LIBDIR || exit $ERROR_CONF
+make || exit $ERROR_MAKE
+make DESTDIR=$TMP/package-$PACKAGE install || exit $ERROR_INSTALL
+
+CWD="`pwd`"
+
+cd $TMP/package-$PACKAGE
+
+find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+
+mkdir install
+cat << EOF > install/slack-desc
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler-----------------------------------------------------|
+libast: libast
+libast:
+libast: LibAST is the Library of Assorted Spiffy Things. It contains many
+libast: spiffy things, and it is a library. Thus, the ever-so-creative name.
+libast: LibAST has been previously known as libmej, the Eterm helper library
+libast: which nobody really understood and certainly never used.
+libast:
+libast:
+libast:
+libast:
+libast:
+EOF
+
+# docs
+mkdir -p usr/doc/$PACKAGE-$VERSION
+
+DOCS="AUTHORS COPYING ChangeLog CHANGELOG INSTALL NEWS README TODO LICENSE"
+
+for file in $DOCS; do
+ if [ -f "$CWD/$file" ]; then
+ cp $CWD/$file usr/doc/$PACKAGE-$VERSION/
+ fi
+done
+
+makepkg -c y -l y $REPOS/$PACKAGE-$VERSION-$ARCH-$BUILD.tgz || exit $ERROR_MKPKG
+
+if [ "$CLEANUP" == "yes" ]; then
+ rm -rf $TMP
+fi
+